Skip to main content

Get current session context

GET https://pos.paysera.com/eapi/v1/session

Retrieve the authenticated user's session context, including tenant information and the currently bound cash register.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Errors​

This endpoint may return the following errors:

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

429 - Too Many Requests​

Rate limit exceeded

500 - Internal Server Error​

Internal server error

Example​

Request​

GET https://pos.paysera.com/eapi/v1/session
Authorization: Bearer YOUR_ACCESS_TOKEN

Response​

{
"user": {
"name": "Jonas Kasininkas",
"language": "en"
},
"tenant": {
"companyName": "Acme Store",
"tapToPayEnabled": true,
"checkoutEnabled": true
},
"cashRegister": {
"id": 1,
"number": "CR-000000001",
"title": {
"lt": "PagrindinÄ— kasa",
"en": "Main register"
},
"type": "vfiscal",
"status": "active",
"environment": "production",
"broadcastChannel": "a1b2c3d4",
"cardPaymentTerminalId": 42
},
"fiscalization": true,
"layout": "classic"
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com

RESPONSE

Session context retrieved successfully
{
"user": {
"name": "Jonas Kasininkas",
"language": "en"
},
"tenant": {
"companyName": "Acme Store",
"tapToPayEnabled": true,
"checkoutEnabled": true
},
"cashRegister": {
"id": 1,
"number": "CR-000000001",
"title": {
"lt": "PagrindinÄ— kasa",
"en": "Main register"
},
"type": "vfiscal",
"status": "active",
"environment": "production",
"broadcastChannel": "a1b2c3d4",
"cardPaymentTerminalId": 42
},
"fiscalization": true,
"layout": "classic"
}